/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.kernel.util;

/**
 * @author Sampsa Sohlman
 */
public class PrefixPredicateFilter implements PredicateFilter<String> {

	public PrefixPredicateFilter(String prefix) {
		this(prefix, false);
	}

	public PrefixPredicateFilter(String prefix, boolean include) {
		_prefix = prefix;
		_include = include;
	}

	@Override
	public boolean filter(String string) {
		if (_include) {
			return string.startsWith(_prefix);
		}
		else {
			return !string.startsWith(_prefix);
		}
	}

	private boolean _include;
	private String _prefix;

}